| Home | Libraries | People | FAQ | More

## Function template replace_last

boost::algorithm::replace_last — Replace last algorithm.

## Synopsis

    template<typename SequenceT, typename Range1T, typename Range2T>
      void replace_last(SequenceT & Input, const Range1T & Search,
                        const Range2T & Format);

## Description

Replace the last match of the search string in the input with the format string. Input sequence is modified in-place.

Parameters: |
`Format` | A substitute string
`Input` | An input string
`Search` | A substring to be searched for